/*
 *  
 *  Copyright (c) 2004 Steve Slaven, All Rights Reserved.
 *  
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License as
 *  published by the Free Software Foundation; either version 2 of
 *  the License, or (at your option) any later version.
 *  
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *  GNU General Public License for more details.
 *  
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 *  MA 02111-1307 USA
 *  
*/
package net.hoopajoo.cheeselab3;
// This is a simple room container
class CheeseRoomData extends java.lang.Object implements java.io.Serializable {
	int	roomid = 0;
	String	name = new String();
	String	edesc = new String();
	String	notes = new String();
	String	terrain = new String();
	
	String	userid = new String();
	
	// pre-split overlay listing
	String[]	overlays = new String[ 0 ];

	// room coords
	int	x = 0,
		y = 0,
		z = 0;

	// roomid's that we exit to, 0 is can't go that way, -1 is unexplored
	int	exit_n = 0;
	int	exit_s = 0;
	int	exit_e = 0;
	int	exit_w = 0;
	int	exit_u = 0;
	int	exit_d = 0;

	String	door_n = new String();
	String	door_s = new String();
	String	door_e = new String();
	String	door_w = new String();
	String	door_u = new String();
	String	door_d = new String();

	long	mtime = 0;
}
